'use strict';

const index = require('./index.cjs');
require('unplugin');
require('node:module');
require('node:path');
require('@volar/typescript');
require('@vue/language-core');
require('magic-string');
require('typescript');

const astro = (options) => ({
  name: "unplugin-vue-complex-types",
  hooks: {
    "astro:config:setup": async (astro) => {
      var _a;
      (_a = astro.config.vite).plugins || (_a.plugins = []);
      astro.config.vite.plugins.push(index.default.vite(options));
    }
  }
});

module.exports = astro;
